/*-----------------------------------*\
#style.css
\*-----------------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Oxanium:wght@200..800&display=swap');

/*-----------------------------------*\
    #CUSTOM PROPERTY
\*-----------------------------------*/
:root{
    /* backgroun colors */
    --bg-purple: hsla(267, 100%, 63%, 1);
    --bg-purple-alpha-30: hsla(267, 100%, 63%, 0.3);
    --bg-dark-purple: hsla(279, 42%, 9%, 1);
    --bg-oxford-blue: hsla(240, 63%, 13%, 1);
    --bg-oxford-blue-alpha-95: hsla(240, 63%, 13%, 0.95);
    --bg-oxford-blue-alpha-90: hsla(240, 63%, 13%, 0.9);
    --bg-oxford-blue-alpha-80: hsla(240, 63%, 13%, 0.8);

    /* gradient colors */
    --gradient-1: linear-gradient(to right bottom, hsl(299, 100%, 52%), hsl(291, 100%, 58%), hsl(283, 100%, 60%), hsl(273, 100%, 62%), hsl(262, 100%, 63%), hsl(242, 100%, 69%), hsl(223, 100%, 62%), hsl(210, 100%, 50%), hsl(203, 100%, 50%), hsl(198, 100%, 50%), hsl(192, 100%, 48%), hsl(185, 90%, 48%));
    --gradient-2: linear-gradient(90deg, transparent 0%, #9841ff 50%, transparent 100%);

    /* text colors */
    --text-white: hsla(0, 0%, 100%, 1);
    --text-gainsboro: hsla(0, 0%, 87%, 1);
    --text-champagne-pink: hsla(23, 61%, 86%, 1);
    --text-purple: hsla(267, 100%, 63%, 1);

    /* border-color */
    --border-space-cadet: hsl(240, 45%, 17%);
    --border-purple-alpha-30: hsla(267, 100%, 63%, 0.3);    

    /** 
        -typo graphy 
    */
    /* font family */
    --fontFamily-oxanium: "Oxanium", sans-serif;
    --fontFamily-work-sans: 'Work Sans', sans-serif;

    /* font size */
    --fontSize-1: 3.6rem;
    --fontSize-2: 2.4rem;
    --fontSize-3: 2rem;
    --fontSize-4: 1.7rem;
    --fontSize-5: 1.6rem;
    --fontSize-6: 1.5rem;
    --fontSize-7: 1.4rem;
    --fontSize-8: 1.2rem;

    /* font weight */
    --weight-regular: 400;
    --weight-semiBold: 600;
    --weight-bold: 700;

    /* spacing */
    --section-spacing: 60px;

    /* shadow */
    --shadow: 0px 2px 5px 0px hsla(0, 0%, 0%, 0.5);

    /* border-radius */
    --radius-circle: 50%;
    --radius-5: 5px;
    --radius-3: 3px;

    /* Clip path */
    --clip-path-1: polygon(0 0, 100% 0, 100% 0, 0 0);
    --clip-path-2: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    --clip-path-3: polygon(0% 0%, 90% 0, 100% 30%, 100% 100%, 0 100%);
    --clip-path-4: polygon(90% 0, 100% 40%, 100% 100%, 0 100%, 0 0);
    --clip-path-5: polygon(100% 0, 100% 100%, 10% 100%, 0 60%, 0 0);
    --clip-path-6: polygon(10% 0, 100% 0, 100% 100%, 0 100%, 0 40%);
    --clip-path-7: polygon(100% 0, 100% 60%, 90% 100%, 0 100%, 0 0);
    --clip-path-8: polygon(0% 0%, 70% 0, 100% 30%, 100% 100%, 0 100%);
    --clip-path-9: polygon(0 0, 90% 0, 100% 100%, 0% 100%);

    /* transition */
    --transition-1: 250ms ease;
    --transition-2: 500ms ease;
    --cubic-out: cubic-bezier(0.05, 0.83, 0.52, 0.97);
}


::-webkit-scrollbar { width: 8px; }

::-webkit-scrollbar-track { background-color: var(--bg-dark-purple); }

::-webkit-scrollbar-thumb { background-color: var(--bg-purple); border-radius: 25px; }

/*-----------------------------------*\
    #RSET
\*-----------------------------------*/

*,
*::before,
*::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
li{ list-style: none; }
a,
img,
time,
span,
input,
button,
textarea{
    display: block;
}
a{
    color: inherit;
    text-decoration: none;
}
img{
    height: auto;
}
input,
button,
textarea{
    background: none;
    border: none;
    font: inherit;
}
input,textarea{ width: 100%; }
button{
    cursor: pointer;
}
address{ font-size: normal; }

*{
    box-sizing: border-box;   
}
body{
    /* text-transform: capitalize; */
    background-color: var(--bg-dark-purple);
    background-image: url('/images/body-bg.jpg');
    background-repeat: repeat;
    font-family: var(--fontFamily-oxanium);
    font-size: var(--fontSize-4);
    color: var(--text-white);
    line-height: 1.6;
}

html{
    scroll-behavior: smooth;
    font-size: 10px;
}

/*-----------------------------------*\
    #REUSED STYLE
\*-----------------------------------*/

.container{
    padding-left: 25px;
    padding-right: 25px;
    margin-left: auto;
    margin-right: auto;
}
.has-before,
.has-after{
    position: relative;
    z-index: 1;
}
.has-before::before,
.has-after::after{
    content: '';
    position: absolute;
}
.title{
    color: var(--text-white);
}
.h1,.h3{
    line-height: 1.3;

}
.h1{
    font-size: var(--fontSize-1);
    font-weight: var(--weight-semiBold);
}
.h3{ font-size: var(--fontSize-3); }
.h2{
    font-size: var(--fontSize-2);
    line-height: 1.2;
    font-weight: var(--weight-semiBold);
}
.section-title,
.section-subtitle,
.section-text{
    text-align: center;
}
.section-subtitle{
    color: var(--text-white);
    font-weight: var(--weight-semiBold);
    font-size: var(--fontSize-5);
    text-transform: uppercase;
}
.btn{
    position: relative;
    background-image: var(--gradient-1);
    color: var(--text-white);
    font-size: var(--fontSize-6);
    font-weight: var(--weight-semiBold);
    max-width: max-content;
    min-width: 150px;
    height: 50px;
    display: grid;
    place-items: center;
    clip-path: var(--clip-path-3);
    overflow: hidden;
}
.btn::before{
    content: '';
    position: absolute;
    top: var(--top, 50%);
    left: var(--left, 50%);
    width: 250%;
    padding-block-end: 250%;
    background-color: var(--bg-purple);
    transform: translate(-50%,-50%) scale(0);
    border-radius: var(--radius-circle);
    z-index: -1;
    transition: transform var(--transition-2);
}
.btn:hover::before{
    transform: translate(-50%, -50%) scale(1);
}

.section{
    padding-block: var(--section-spacing);
}
.section-title{
    margin-block: 10px;
    text-transform: uppercase;
}
.section-title .span{
    display: inline;
    color: var(--bg-purple);
}
.section-text{
    margin-block-end: 40px;
    max-width: 480px;
    margin-inline: auto;
}
.social-wrapper{
    display: flex;
    align-items: center;
    gap: 10px;
}
.img-holder{
    background-color: var(--bg-purple);
    aspect-ratio: var(--width) / var(--height);
    overflow: hidden;
}
.img-cover{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
[data-reveal]{
    opacity: 0;
    transition: var(--transition-2);
}
[data-reveal="left"]{
    transform: translateX(-30px);
}
[data-reveal="right"]{
    transform: translateX(30px);
}
[data-reveal="bottom"]{
    transform: translateY(30px);
}
[data-reveal].revealed{
    opacity: 1;
    transform: translate(0);
}



/*-----------------------------------*\
    #HEADER
\*-----------------------------------*/

.header{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--bg-oxford-blue);
    padding: 10px 12px;
    z-index: 4;
}
.header.active{
    position: fixed;
    animation: slideUp 1s ease forwards;
}
@keyframes slideUp {
    0%{
        transform: translateY(-100%);
    }
    100%{
        transform: translateY(0);
    }
}

.header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav-toggle-btn{
    outline: none;
}
.nav-toggle-btn .line{
    height: 2px;
    width: 10px;
    margin-block-start: 4px;
    background-color: var(--text-gainsboro);
    border-radius: 8px;
    transition: var(--transition-1);
    display: none;
}
.nav-toggle-btn .line-2{
    width: 20px;
}
.nav-toggle-btn .line-3{
    margin-inline-start: auto;
}
.nav-toggle-btn.active .line-2{
    transform: rotate(-45deg);
}
.nav-toggle-btn.active .line-1{
    transform: rotate(45deg) translate(3px, 1px);
}
.nav-toggle-btn.active .line-3{
    transform: rotate(45deg) translate(-3px, -.5px);
}
.navbar ul{
    display: flex;
    align-items: center;
}
.nav-link:hover{
    color: var(--bg-purple);
}
.nav-item{
    padding-right: 20px;
}
.nav-link{
    text-transform: uppercase;
    font-size: var(--fontSize-7);
    font-weight: var(--weight-semiBold);
    color: var(--text-white);
    transition: var(--transition-1);
}

/*-----------------------------------*\
    #HERO
\*-----------------------------------*/
.hero{
    padding-block-start: 170px;
    text-align: center;
}
.hero .section-subtitle{
    letter-spacing: 5px;
    margin-top: 60px;
}
.hero .btn{
    margin: 20px auto;
}
.hero::before{
    background-image: var(--gradient-2);
    bottom: 0;
    left: 0;
    width: 100%;
    height: 4px;
    z-index: 1;
}
.hero-banner{
    position: relative;
    margin-block-start: 70px;
}
.w-80{
    width: 100%;
}
/*-----------------------------------*\
    #UPCOMING
\*-----------------------------------*/

.upcoming-card{
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    position: relative;
}
.upcoming .section-text{
    margin-block-end: 50px;
}
.upcoming-card::before{
    top: 50%;
    background-image: var(--gradient-1);
    transform: translateY(-50%);
    width: 90%;
    height: 80px;
    z-index: -1;
    opacity: 0.3;
    border-radius: var(--radius-5);
}
.upcoming-card.left::before{
    right: 0;
    clip-path: var(--clip-path-4);
}
.upcoming-card.right::before{
    left: 0;
    clip-path: var(--clip-path-6);
}
.upcoming-card .card-title{ text-transform: uppercase;}
.upcoming-card .left .card-title{
    margin-inline-end: 50px;
    text-align: right;
}
.upcoming-card .right .card-title{
    margin-inline-start: 50px;
    text-align: left;
}
.upcoming-card .card-meta{
    position: absolute;
    bottom: -5%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-image: var(--gradient-1);
    width: max-content;
    padding: 6px 20px;
    font-size: var(--fontSize-7);
    font-weight: var(--weight-semiBold);
    text-transform: uppercase;
    border-radius: var(--radius-3);
}
.upcoming-card.left .card-meta{
    clip-path: var(--clip-path-5);
}
.upcoming-card.right .card-meta{
    clip-path: var(--clip-path-7);
}
.upcoming-card .card-banner{ width: 30%; margin-bottom:20px ;}

.upcoming-card.right .card-banner{
    order: 1;
}

.upcoming-time{ margin-block: 50px 30px; }

.upcoming-time :is(.time, .date) { text-align: center; }

.upcoming-time .time{
    font-size: var(--fontSize-1);
    font-weight: var(--weight-semiBold);
    margin-block: 5px;
}
.upcoming-time .date{
    font-size: var(--fontSize-7);
    font-weight: var(--weight-bold);
    line-height: 1;
}
.upcoming-item{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}
.upcoming-item .social-wrapper{ justify-content: center; }

.upcoming-item .social-link{
    color: var(--text-white);
    font-size: 2.5rem;
    transition: var(--transition-1);
}
.upcoming-item .social-link:is(:hover, :focus){
    color: var(--text-purple);
}
/*-----------------------------------*\
    #NEWS
\*-----------------------------------*/
.news-list{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 35px;
}
/* .cardd-news img{
    max-width: 100%;
} */
.news-card{
    background-color: var(--bg-oxford-blue-alpha-90);
    box-shadow: var(--shadow);
}
.news-card .card-content{
    position: relative;
    padding: 25px;
}
.card-tag{
    position: absolute;
    bottom: 100%;
    left: 0;
    background-image: var(--gradient-1);
    height: 30px;
    line-height: 32px;
    padding-inline: 20px;
    color: var(--text-white);
    font-size: var(--fontSize-8);
    font-weight: var(--weight-semiBold);
    text-transform: uppercase;
    clip-path: var(--clip-path-3);
}
.card-meta-list , .card-meta-item{
    display: flex;
    align-items: center;
}
.news-card .card-meta-list{
    flex-wrap: wrap;
    gap: 15px;
}
.news-card .card-meta-item{
    gap: 5px;
}
.news-card .card-meta-item ion-icon{
    color: var(--text-purple);
}
.news-card .card-meta-text,
.news-card .link{
    color: var(--text-champagne-pink);
    font-size: var(--fontSize-7);
    font-weight: var(--weight-bold);
    text-transform: uppercase;
}
.news-card .h3{ margin-block: 15px 10px; }

.news-card .card-title{
    display: inline;
    background-image: linear-gradient(to left, var(--bg-purple),var(--bg-purple));
    background-repeat: no-repeat;
    background-position: left bottom;
    background-size: 0 4px;
    transition: var(--transition-2);
}
.news-card .card-title:is(:hover, :focus){
    background-size: 100% 4px;
}
.news-card .link{
    max-width: max-content;
    margin-block-start: 15px;
    padding-inline-start: 30px;
    transition: var(--transition-1);
}
.news-card .link::before{
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 20px;
    height: 4px;
    background-color: var(--bg-purple);
}
.news-card .link:is(:hover, :focus){
    color: var(--text-purple);
}

/*-----------------------------------*\
    #FOOTER
\*-----------------------------------*/
.footer-top .container{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 35px;
}
.footer-text{
    margin-block: 25px 20px;
}
.social-list{
    display: flex;
    gap: 10px;
}
footer .social-link{
    width: 40px;
    height: 40px;
    background-color: var(--bg-purple-alpha-30);
    display: grid;
    place-items: center;
    clip-path: var(--clip-path-8);
    transition: var(--transition-1);
}
footer .social-link:is(:hover, :focus){
    background-color: var(--bg-purple);
    transform: translateY(2px);
}
.footer-list-title{
    font-size: var(--fontSize-3);
    font-weight: var(--weight-semiBold);
    line-height: 1;
    position: relative;
    padding-block-end: 10px;
    margin-block-end: 20px;
    max-width: max-content;
}
.footer-list-title::after{
    bottom: 0;
    left: 0;
    width: 70%;
    height: 4px;
    background-color: var(--bg-purple);
}
.footer-link{
    padding-block: 5px;
    transition: var(--transition-1);
}
.footer-link:is(:hover, :focus){
    color: var(--text-purple);
}
.contact-item .span{
    color: var(--text-purple);
    font-size: var(--fontSize-7);
    text-transform: uppercase;
    font-weight: var(--weight-semiBold);
}
.contact-item:not(:last-child){
    margin-block-end: 15px;
}
.input-field{
    background-color: var(--bg-oxford-blue-alpha-90);
    color: var(--text-white);
    font-size: var(--fontSize-5);
    padding: 15px 10px;
    box-shadow: var(--shadow);
    border: 2px solid var(--bg-purple-alpha-30);
    margin-block-end: 20px;
    outline: none;
    border-radius: var(--radius-5);
    caret-color: var(--text-white);
}
.input-field::placeholder{
    color: var(--text-white);
}
.footer-bottom{
    background-color: var(--bg-oxford-blue-alpha-80);
}
.copyright{
    padding: 30px 20px;
    text-align: center;
}

/*-----------------------------------*\
    #BACK TO TOP
\*-----------------------------------*/
.back-top-btn{
    position: fixed;
    bottom: 10px;
    right: 20px;
    width: 40px;
    height: 40px;
    display: grid;
    place-items: center;
    font-size: 2.1rem;
    background-image: var(--gradient-1);
    clip-path: var(--clip-path-8);
    opacity: 0;
    transition: var(--transition-2);
    z-index: 4;
}
.back-top-btn.active{
    opacity: 1;
    transform: translateY(-20px);
}


/*-----------------------------------*\
    #CUSTOM CURSOR
\*-----------------------------------*/
.contact {
    min-height: 100vh;
    display: flex;
    flex-wrap: wrap;
}
.contact .info {
    color: var(--text-white);
    flex-basis: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 1;
}
.contact .info h2{
    text-transform: uppercase;
}

.contact .form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-basis: 50%;
    padding-bottom: 50px;
}

.contact .form .input {
    display: block;
    width: 100%;
    margin-bottom: 25px;
    padding: 15px;
    border: none;
    border-bottom: 1px solid #ccc;
    background-color: #f9f9f9;
    caret-color: var(--main-color);
}
.contact .form textarea.input {
    resize: none;
    height: 200px;
}
.contact .form .input:focus {
    outline: none;
}
.contact .form [type="submit"] {
    display: block;
    width: 100%;
    padding: 15px;
    background-color: var(--main-color);
    color: white;
    font-weight: bold;
    font-size: 20px;
    border: none;
    cursor: pointer;
    transition: var(--main-transition);
}
.contact .form [type="submit"]:hover {
    background-color: var(--main-color-alt);
}
.contact .content {
    text-align: center;
    padding: 0 20px;
}
.contact .content h2 {
    font-size: 40px;
    letter-spacing: -2px;
}
.contact .content p {
    line-height: 1.6;
    font-size: 18px;
    max-width: 500px;
}
.contact .content img {
    width: 300px;
    max-width: 100%;
}

/*-----------------------------------*\
    #MEDIA QUERIES
\*-----------------------------------*/